# NormalGui
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.gui.objects.types

## Class NormalGui

- java.lang.Object
- - me.legofreak107.vehiclesplus.libraries.gui.objects.CustomGui
  - - me.legofreak107.vehiclesplus.libraries.gui.objects.types.NormalGui

All Implemented Interfaces:
  org.bukkit.event.Listener

    public class NormalGui
    extends CustomGui
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor and Description
`NormalGui(java.util.List<GuiItem> itemList, org.bukkit.entity.Player player, java.lang.String title, int size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onClick(org.bukkit.event.inventory.InventoryClickEvent e)`
`void` `onClose(org.bukkit.event.inventory.InventoryCloseEvent e)`
`void` `select(java.lang.Object object, org.bukkit.event.inventory.ClickType click)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NormalGui

    public NormalGui(java.util.List<GuiItem> itemList,
                     org.bukkit.entity.Player player,
                     java.lang.String title,
                     int size)

### Method Detail

#### select

    public void select(java.lang.Object object,
                       org.bukkit.event.inventory.ClickType click)

#### onClose

    public void onClose(org.bukkit.event.inventory.InventoryCloseEvent e)

#### onClick

    public void onClick(org.bukkit.event.inventory.InventoryClickEvent e)